### File

`packages/components/eui-user-profile/user-profile-menu/user-profile-menu.component.ts`

### Implements

`OnDestroy` `AfterViewInit`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-user-profile-menu`
template |
    <ng-content/>

### Index

###### Properties
class items Public parent role
###### Methods
onKeydown subscribeToParent
###### HostBindings
attr.role class
###### HostListeners
keydown

### HostBindings

attr.role
Type : `string`
Default value : `'menu'`

class
Type : `string`
Default value : `'eui-user-profile-menu'`

### HostListeners

keydown
Arguments : `'$event'`
`keydown(event)`

### Methods

onKeydown
`onKeydown(event)`
Decorators : `@HostListener('keydown', ['$event'])`
Parameters :
Name | Optional
event | No
Returns : `void`

subscribeToParent
`subscribeToParent()`
Returns : `void`

### Properties

class
Type : `string`
Default value : `'eui-user-profile-menu'`
Decorators : `@HostBinding()`

items
Type : `QueryList<EuiUserProfileMenuItemComponent>`
Decorators : `@ContentChildren(undefined)`

Public parent
Type : `EuiUserProfileComponent`
Default value : `inject(forwardRef(() => EuiUserProfileComponent), { optional: true })`

role
Type : `string`
Default value : `'menu'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""